# Interface FeatureReductionClusterJson

Feature reduction of type cluster declutters the screen by hiding features that would otherwise intersect with other features on screen. The default clusterRadius for the JavaScript API is 60.

interface FeatureReductionClusterJson {
clusterMaxSize?: number;
clusterMinSize?: number;
clusterRadius?: number;
disablePopup?: boolean;
drawingInfo?: DrawingInfoJson;
popupInfo?: PopupInfoJson;
showLabels?: boolean;
type: "cluster";
}

#####
Index

### Properties

clusterMaxSize?
clusterMinSize?
clusterRadius?
disablePopup?
drawingInfo?
popupInfo?
showLabels?
type

##
Properties

### `Optional` clusterMaxSize

clusterMaxSize?: number

Size of the largest cluster, in screen units (points).

### `Optional` clusterMinSize

clusterMinSize?: number

Size of the smallest cluster, in screen units (points).

### `Optional` clusterRadius

clusterRadius?: number

Strength of clustering, in screen units (points).

### `Optional` disablePopup

disablePopup?: boolean

Indicates whether to ignore popups defined by the service item.

### `Optional` drawingInfo

drawingInfo?: DrawingInfoJson

Contains labeling information for the cluster.

### `Optional` popupInfo

popupInfo?: PopupInfoJson

Defines the look and feel of popup windows when a user clicks or queries a feature.

### `Optional` showLabels

showLabels?: boolean

Defines whether labels should be shown in the clusters.

### type

type

The type of feature reduction.